XPathException (Java SE 15 & JDK 15)
Description: declaration: module: java.xml, package: javax.xml.xpath, class: XPathException
Keywords: javax.xml.xpath.XPathException class

Module java.xml
Package javax.xml.xpath

# Class XPathException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.xml.xpath.XPathException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `XPathExpressionException`, `XPathFactoryConfigurationException`

    public class XPathException
    extends Exception

`XPathException` represents a generic XPath exception.

Since:
  1.5
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `XPathException​(String message)` | Constructs a new `XPathException` with the specified detail `message`.
  `XPathException​(Throwable cause)` | Constructs a new `XPathException` with the specified `cause`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Throwable` | `getCause()` | Get the cause of this XPathException.
  `void` | `printStackTrace()` | Print stack trace to `System.err`.
  `void` | `printStackTrace​(PrintStream s)` | Print stack trace to specified `PrintStream`.
  `void` | `printStackTrace​(PrintWriter s)` | Print stack trace to specified `PrintWriter`.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XPathException

    public XPathException​(String message)
    Constructs a new `XPathException` with the specified detail `message`.

    The `cause` is not initialized.

    If `message` is `null`, then a `NullPointerException` is thrown.

    Parameters:
      `message` - The detail message.
    Throws:
      `NullPointerException` - When `message` is `null`.

  - ### XPathException

    public XPathException​(Throwable cause)
    Constructs a new `XPathException` with the specified `cause`.

    If `cause` is `null`, then a `NullPointerException` is thrown.

    Parameters:
      `cause` - The cause.
    Throws:
      `NullPointerException` - if `cause` is `null`.

- ## Method Details

  - ### getCause

    public Throwable getCause()
    Get the cause of this XPathException.
    Overrides:
      `getCause` in class `Throwable`
    Returns:
      Cause of this XPathException.

  - ### printStackTrace

    public void printStackTrace​(PrintStream s)
    Print stack trace to specified `PrintStream`.
    Overrides:
      `printStackTrace` in class `Throwable`
    Parameters:
      `s` - Print stack trace to this `PrintStream`.

  - ### printStackTrace

    public void printStackTrace()
    Print stack trace to `System.err`.
    Overrides:
      `printStackTrace` in class `Throwable`

  - ### printStackTrace

    public void printStackTrace​(PrintWriter s)
    Print stack trace to specified `PrintWriter`.
    Overrides:
      `printStackTrace` in class `Throwable`
    Parameters:
      `s` - Print stack trace to this `PrintWriter`.